File: buildcheck.sh

package info (click to toggle)
apr 1.6.5-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 7,132 kB
  • sloc: ansic: 60,108; sh: 3,610; perl: 900; awk: 393; makefile: 366; python: 142
file content (70 lines) | stat: -rwxr-xr-x 2,209 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
#! /bin/sh

echo "buildconf: checking installation..."
res=0

# any python
python=`build/PrintPath python`
if test -z "$python"; then
  echo "buildconf: python not found."
  echo "           You need python installed"
  echo "           to build APR from SVN."
  res=1
else
  py_version=`python -c 'import sys; print sys.version' 2>&1|sed 's/ .*//;q'`
  echo "buildconf: python version $py_version (ok)"
fi

# autoconf 2.59 or newer
ac_version=`${AUTOCONF:-autoconf} --version 2>/dev/null|sed -e 's/^[^0-9]*//;s/[a-z]* *$//;q'`
if test -z "$ac_version"; then
  echo "buildconf: autoconf not found."
  echo "           You need autoconf version 2.59 or newer installed"
  echo "           to build APR from SVN."
  res=1
else
  IFS=.; set $ac_version; IFS=' '
  if test "$1" = "2" -a "$2" -lt "59" || test "$1" -lt "2"; then
    echo "buildconf: autoconf version $ac_version found."
    echo "           You need autoconf version 2.59 or newer installed"
    echo "           to build APR from SVN."
    res=1
  else
    echo "buildconf: autoconf version $ac_version (ok)"
  fi
fi

# Sample libtool --version outputs:
# ltmain.sh (GNU libtool) 1.3.3 (1.385.2.181 1999/07/02 15:49:11)
# ltmain.sh (GNU libtool 1.1361 2004/01/02 23:10:52) 1.5a
# output is multiline from 1.5 onwards

# Require libtoolize 1.4 or newer
libtoolize=`build/PrintPath glibtoolize1 glibtoolize libtoolize libtoolize15 libtoolize14`
lt_pversion=`$libtoolize --version 2>/dev/null|sed -e 's/([^)]*)//g;s/^[^0-9]*//;s/[- ].*//g;q'`
if test -z "$lt_pversion"; then
  echo "buildconf: libtoolize not found."
  echo "           You need libtool version 1.4 or newer installed"
  echo "           to build APR from SVN."
  res=1
else
  lt_version=`echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/'`
  IFS=.; set $lt_version; IFS=' '
  lt_status="good"
  if test "$1" = "1"; then
    if test "$2" -lt "4"; then
      lt_status="bad"
    fi
  fi
  if test $lt_status = "good"; then
    echo "buildconf: libtool version $lt_pversion (ok)"
  else
    echo "buildconf: libtool version $lt_pversion found."
    echo "           You need libtool version 1.4 or newer installed"
    echo "           to build APR from SVN."
    res=1
  fi
fi

exit $res